## Firefox + VNC + Java

This image allows you to run an ancient firefox with Java. It is
exposed via VNC on port 5900.

## Usage

Start the container:

```
docker run -p 5900:5900 -ti ungleich/firefox-java-vnc:latest
```

Use VNC to connect to it:

```
vncviewer localhost
```

(replace localhost with wherever you have the container running)

## Maintainer note

Building & pushing:

```
docker build -t ungleich/firefox-java-vnc .
docker push ungleich/firefox-java-vnc
```

## Changelog

### 0.0.3

* Updated version of Ubuntu 16.04
  * docker build -t ungleich/firefox-java-vnc:0.0.3 -f Dockerfile-ubuntu-16.04 .
  * docker push ungleich/firefox-java-vnc:0.0.3
* Contains the java.security patch noted in 0.0.2
* Added k8s job definition for testing
* ilo3 remote console opens, but shows a grey box

### 0.0.2

* Switched to Ubuntu 16.04 as the base image
* Added kubernetes sample deployment
* Does not work with iDRAC 6
* Error with HPE ilo3:
  * Caused by: net.sourceforge.jnlp.LaunchException: Fatal:
    Initialization Error: Unknown Main-Class. Could not determine the
    main class for this application.
    * Can be fixed using echo "jdk.tls.disabledAlgorithms=TLSv1.1,
      TLSv1.2" >> /etc/java-8-openjdk/security/java.security
    * Hint found on https://github.com/niclan/Javafox/issues/12

### 0.0.1

* Initial release based on Ubuntu 14.04
* Works with iDRAC 6
* Error with HPE ilo3:
 * Caused by: net.sourceforge.jnlp.LaunchException: Fatal: Application Error: Cannot grant permissions to unsigned jars. Application requested security permissions, but jars are not signed.


## Credit

Based on the following repos/work:

* https://github.com/mablanco/docker-firefox-java-vnc/
* https://hub.docker.com/r/cmaohuang/firefox-java
